require("config")
--Tile entity
ShinyReinforcedConcreteTile = util.table.deepcopy(data.raw["tile"]["concrete"])
ShinyReinforcedConcreteTile.name = "parkingzone"
ShinyReinforcedConcreteTile.minable = {hardness = 0.2, mining_time = 0.5, result = "parkingzone"}
ShinyReinforcedConcreteTile.vehicle_friction_modifier = Shinyparkingzonespeed
data:extend({ShinyReinforcedConcreteTile,
--Recipe
  {
    type = "recipe",
    name = "parkingzone",
    enabled = false,
    ingredients = {{"concrete", 10}},
    result = "parkingzone",
    result_count = 10
  },
--Item
  {
    type = "item",
    name = "parkingzone",
    icon = "__Shinys-parkingzone__/graphics/icons/parkingzone.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "terrain",
    order = "b[concrete]-b[parking]",
    stack_size = 100,
    place_as_tile =
    {
      result = "parkingzone",
      condition_size = 4,
      condition = { "water-tile" }
    }
  },
})
--Technology
table.insert(data.raw["technology"]["concrete"]["effects"],{type = "unlock-recipe",recipe = "parkingzone"})